org.gnome.pango

## Class WrapMode

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.pango.WrapMode

-     public final class WrapMode
      extends org.freedesktop.bindings.Constant

  Indicate how a Pango Layout is to wrap. Set the mode with Layout's `setWrapMode()` method.

  To our great frustration, these constants exist separately from the ones used by GTK's TextView even though, quite clearly, the WrapMode Constants there map to the ones here. Unfortunately the ordinals are different, so we can't just present one set.

  Since:
    4.0.11

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static WrapMode` | `CHAR` Wrap text, breaking lines anywhere the cursor can appear (between characters, usually)
    `static WrapMode` | `WORD` Wrap text, breaking lines in between words.
    `static WrapMode` | `WORD_CHAR` Wrap at word boundaries unless there isn't enough space for a full word, in which case fall back to wrapping at a character boundary.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CHAR

          public static final WrapMode CHAR

      Wrap text, breaking lines anywhere the cursor can appear (between characters, usually)

    - #### WORD

          public static final WrapMode WORD

      Wrap text, breaking lines in between words. This is usually the one you want if you are trying to enable word wrapping, but keep in mind that you also must have set the width of the Layout with its `setWidth()`.

    - #### WORD_CHAR

          public static final WrapMode WORD_CHAR

      Wrap at word boundaries unless there isn't enough space for a full word, in which case fall back to wrapping at a character boundary.